local enUS =  LibStub("AceLocale-3.0"):NewLocale("MNT2", "enUS", true, true)

enUS['0%'] = true -- Mount Speeds
enUS['40%'] = true
enUS['60%'] = true
enUS['100%'] = true
enUS['280%'] = true
enUS['310%'] = true

-- Mount Type
enUS['Water'] = true
enUS['Ground'] = true
enUS['Flying'] = true
enUS["Ahn'Qiraj"] = true

-- Skill line
enUS['Riding'] = true

-- Parser Matches
enUS["SpeedFast"] = "extremely%s+fast"
enUS["SpeedMedium"] = "very%s+fast"

--Options
enUS['Mount Options'] = true
enUS['Edit Mount'] = true
enUS['Summon Priority'] = true
enUS['isMoving'] = true
enUS['isMoving desc'] = 'Allows you to assign a different subset of Macros for when you are moving.\n|cffff2020<<<<<WARNING>>>>>|r\n This options is somewhat resource intensive but my be usefull to classes with instant cast mounts/shapeshifts.'
enUS['ENABLE desc'] = 'Toggles the usage of this macro set.'
enUS['ADD desc'] = 'Add the selected zone as a new macro set.'
enUS['ADD confirm'] = 'Are you sure you want to create a new macro set for |cff20ff20%s|r?\n |cffff2020(You will need to enable the set before it will take full effect)|r'
enUS['DELETE desc'] = 'Deletes the currently selected macro set'
enUS['DELETE confirm'] = 'Are you sure you want to delete the |cff20ff20%s|r macro set?'

enUS['isFlyable'] = 'Flyable Macro'
enUS['ground'] = 'Ground Macro'
enUS['inCombat'] = 'Combat Macro'
enUS['isSwimming'] = 'Swimming Macro'
enUS['isIndoors'] = 'Indoors Macro'

-- Macro Editor
enUS['Macro Options'] = true
enUS['Preview'] = true
enUS['NameError'] = '"%s" is an invalid macro name.'
enUS["Macro length error"] = "Macro exceeds the 255 character limit!"
enUS["No Macro Text"] = "No macro commands given!"
enUS["FAQheader"] = "Macro Tags"
enUS["FAQdesc"] = [[Here are tags you may use to customize the above macros:
    <ff> == Random Flying Mount (fastest speed increase)
    <f310> == Random Flying Mount (310% speed increase)
    <f280> == Random Flying Mount (280% speed increase)
    <f60> == Random Flying Mount (60% speed increase)
    <gf> == Random Ground Mount (fastest speed increase)
    <g100> == Random Ground Mount (100% speed increase)
    <g60> == Random Ground Mount (60% speed increase)
    <g0> == Random Ground Mount (0% speed increase)
	<ww> == Random Water Mount (defaults to <gf> if no mount was found)
    <aq> == Random Ahn'Qiraj Mount
    <s#> == will be replaced with the spellname of spellid #
                       (will not insert rank so will scale)]]
enUS['NEW desc'] = "Create new Macro."
enUS['DELETE desc'] = "Delete selected Macro."
enUS['EDIT'] = "Edit"
enUS['EDIT desc'] = "Edit selected Macro."
enUS['Select Macro:'] = true
enUS['|cffffd200Macro Preview:|r\n%s'] = true
enUS['DELETE macro confirm'] = 'Are you sure you want to delete the |cff20ff20%s|r macro?'

local frFR =  LibStub("AceLocale-3.0"):NewLocale("MNT2", "frFR")

--@localization(locale="frFR", format="lua_additive_table", handle-unlocalized="ignore", handle-unlocalized="ignore", table-name="frFR")@

local deDE =  LibStub("AceLocale-3.0"):NewLocale("MNT2", "deDE")

deDE["Flying"] = "Flug"
deDE["Ground"] = "Boden"
deDE["SpeedFast"] = "extrem schnelles"
deDE["SpeedMedium"] = "sehr schnelles"
deDE["Water"] = "Wasser"


local koKR =  LibStub("AceLocale-3.0"):NewLocale("MNT2", "koKR")

koKR["SpeedFast"] = "속도가 바람처럼"
koKR["SpeedMedium"] = "속도가 매우"


local esMX =  LibStub("AceLocale-3.0"):NewLocale("MNT2", "esMX")



local ruRU =  LibStub("AceLocale-3.0"):NewLocale("MNT2", "ruRU")



local zhCN =  LibStub("AceLocale-3.0"):NewLocale("MNT2", "zhCN")



local esES =  LibStub("AceLocale-3.0"):NewLocale("MNT2", "esES")



local zhTW =  LibStub("AceLocale-3.0"):NewLocale("MNT2", "zhTW")


